Namespaces - Get
Returns the given namespace.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NotificationHubs/namespaces/{namespaceName}?api-version=2023-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
namespace
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z][a-zA-Z0-9-]*$ |
Namespace name |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Error code with reason. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Namespaces_Get
Sample request
GET https://management.azure.com/subscriptions/29cfa613-cbbc-4512-b1d6-1b3a92c7fa40/resourceGroups/5ktrial/providers/Microsoft.NotificationHubs/namespaces/nh-sdk-ns?api-version=2023-09-01
Sample response
{
"location": "East US",
"sku": {
"name": "Standard"
},
"properties": {
"name": "nh-sdk-ns",
"provisioningState": "Succeeded",
"status": "Created",
"enabled": true,
"critical": false,
"subscriptionId": "29cfa613-cbbc-4512-b1d6-1b3a92c7fa40",
"createdAt": "2023-04-26T06:10:44.01+00:00",
"updatedAt": "2023-04-26T06:10:44.03+00:00",
"namespaceType": "NotificationHub",
"publicNetworkAccess": "Enabled",
"networkAcls": {
"ipRules": [
{
"ipMask": "185.48.100.00/24",
"rights": [
"Manage",
"Send",
"Listen"
]
}
],
"publicNetworkRule": {
"rights": [
"Listen"
]
}
},
"serviceBusEndpoint": "https://nh-sdk-ns.servicebus.windows.net:443/",
"privateEndpointConnections": []
},
"id": "/subscriptions/29cfa613-cbbc-4512-b1d6-1b3a92c7fa40/resourceGroups/5ktrial/providers/Microsoft.NotificationHubs/namespaces/nh-sdk-ns",
"name": "nh-sdk-ns",
"type": "Microsoft.NotificationHubs/namespaces",
"tags": {
"tag1": "value1",
"tag2": "value2"
}
}
Definitions
| Name | Description |
|---|---|
|
Access |
Defines values for AccessRights. |
|
Adm |
Description of a NotificationHub AdmCredential. |
|
Adm |
Description of a NotificationHub AdmCredential. |
|
Apns |
Description of a NotificationHub ApnsCredential. |
|
Apns |
Description of a NotificationHub ApnsCredential. |
|
Baidu |
Description of a NotificationHub BaiduCredential. |
|
Baidu |
Description of a NotificationHub BaiduCredential. |
|
Browser |
Description of a NotificationHub BrowserCredential. |
|
Browser |
Description of a NotificationHub BrowserCredential. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Gcm |
Description of a NotificationHub GcmCredential. |
|
Gcm |
Description of a NotificationHub GcmCredential. |
|
Ip |
A network authorization rule that filters traffic based on IP address. |
|
Mpns |
Description of a NotificationHub MpnsCredential. |
|
Mpns |
Description of a NotificationHub MpnsCredential. |
|
Namespace |
Represents namespace properties. |
|
Namespace |
Notification Hubs Namespace Resource. |
|
Namespace |
Namespace status. |
|
Namespace |
Defines values for NamespaceType. |
|
Network |
A collection of network authorization rules. |
|
Operation |
Defines values for OperationProvisioningState. |
|
Pns |
Collection of Notification Hub or Notification Hub Namespace PNS credentials. |
|
Private |
Private Endpoint Connection properties. |
|
Private |
State of Private Endpoint Connection. |
|
Private |
Represents a Private Endpoint Connection ARM resource - a sub-resource of Notification Hubs namespace. |
|
Private |
State of Private Link Connection. |
|
Public |
A default (public Internet) network authorization rule, which contains rights if no other network rule matches. |
|
Public |
Type of public network access. |
|
Remote |
Represents a Private Endpoint that is connected to Notification Hubs namespace using Private Endpoint Connection. |
|
Remote |
State of the Private Link Service connection. |
|
Replication |
Allowed replication region |
| Sku |
The Sku description for a namespace |
|
Sku |
Namespace SKU name. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Wns |
Description of a NotificationHub WnsCredential. |
|
Wns |
Description of a NotificationHub WnsCredential. |
|
Xiaomi |
Description of a NotificationHub XiaomiCredential. |
|
Xiaomi |
Description of a NotificationHub XiaomiCredentialProperties. |
|
Zone |
Namespace SKU name. |
AccessRights
Defines values for AccessRights.
| Value | Description |
|---|---|
| Manage | |
| Send | |
| Listen |
AdmCredential
Description of a NotificationHub AdmCredential.
| Name | Type | Description |
|---|---|---|
| properties |
Description of a NotificationHub AdmCredential. |
AdmCredentialProperties
Description of a NotificationHub AdmCredential.
| Name | Type | Description |
|---|---|---|
| authTokenUrl |
string minLength: 1 |
Gets or sets the URL of the authorization token. |
| clientId |
string minLength: 1 |
Gets or sets the client identifier. |
| clientSecret |
string minLength: 1 |
Gets or sets the credential secret access key. |
ApnsCredential
Description of a NotificationHub ApnsCredential.
| Name | Type | Description |
|---|---|---|
| properties |
Description of a NotificationHub ApnsCredential. |
ApnsCredentialProperties
Description of a NotificationHub ApnsCredential.
| Name | Type | Description |
|---|---|---|
| apnsCertificate |
string |
Gets or sets the APNS certificate. |
| appId |
string |
Gets or sets the issuer (iss) registered claim key, whose value is your 10-character Team ID, obtained from your developer account |
| appName |
string |
Gets or sets the name of the application |
| certificateKey |
string |
Gets or sets the certificate key. |
| endpoint |
string minLength: 1 |
Gets or sets the endpoint of this credential. |
| keyId |
string |
Gets or sets a 10-character key identifier (kid) key, obtained from your developer account |
| thumbprint |
string |
Gets or sets the APNS certificate Thumbprint |
| token |
string |
Gets or sets provider Authentication Token, obtained through your developer account |
BaiduCredential
Description of a NotificationHub BaiduCredential.
| Name | Type | Description |
|---|---|---|
| properties |
Description of a NotificationHub BaiduCredential. |
BaiduCredentialProperties
Description of a NotificationHub BaiduCredential.
| Name | Type | Description |
|---|---|---|
| baiduApiKey |
string minLength: 1 |
Gets or sets baidu Api Key. |
| baiduEndPoint |
string minLength: 1 |
Gets or sets baidu Endpoint. |
| baiduSecretKey |
string minLength: 1 |
Gets or sets baidu Secret Key |
BrowserCredential
Description of a NotificationHub BrowserCredential.
| Name | Type | Description |
|---|---|---|
| properties |
Description of a NotificationHub BrowserCredential. |
BrowserCredentialProperties
Description of a NotificationHub BrowserCredential.
| Name | Type | Description |
|---|---|---|
| subject |
string minLength: 1 |
Gets or sets web push subject. |
| vapidPrivateKey |
string minLength: 1 |
Gets or sets VAPID private key. |
| vapidPublicKey |
string minLength: 1 |
Gets or sets VAPID public key. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
GcmCredential
Description of a NotificationHub GcmCredential.
| Name | Type | Description |
|---|---|---|
| properties |
Description of a NotificationHub GcmCredential. |
GcmCredentialProperties
Description of a NotificationHub GcmCredential.
| Name | Type | Description |
|---|---|---|
| gcmEndpoint |
string |
Gets or sets the GCM endpoint. |
| googleApiKey |
string minLength: 1 |
Gets or sets the Google API key. |
IpRule
A network authorization rule that filters traffic based on IP address.
| Name | Type | Description |
|---|---|---|
| ipMask |
string minLength: 1 |
IP mask. |
| rights |
List of access rights. |
MpnsCredential
Description of a NotificationHub MpnsCredential.
| Name | Type | Description |
|---|---|---|
| properties |
Description of a NotificationHub MpnsCredential. |
MpnsCredentialProperties
Description of a NotificationHub MpnsCredential.
| Name | Type | Description |
|---|---|---|
| certificateKey |
string minLength: 1 |
Gets or sets the certificate key for this credential. |
| mpnsCertificate |
string minLength: 1 |
Gets or sets the MPNS certificate. |
| thumbprint |
string minLength: 1 |
Gets or sets the MPNS certificate Thumbprint |
NamespaceProperties
Represents namespace properties.
| Name | Type | Default value | Description |
|---|---|---|---|
| createdAt |
string (date-time) |
Time when the namespace was created. |
|
| critical |
boolean |
Gets or sets whether or not the namespace is set as Critical. |
|
| dataCenter |
string |
Deprecated. |
|
| enabled |
boolean |
Gets or sets whether or not the namespace is currently enabled. |
|
| metricId |
string |
Azure Insights Metrics id. |
|
| name |
string |
Name of the Notification Hubs namespace. This is immutable property, set automatically by the service when the namespace is created. |
|
| namespaceType |
Defines values for NamespaceType. |
||
| networkAcls |
A collection of network authorization rules. |
||
| pnsCredentials |
Collection of Notification Hub or Notification Hub Namespace PNS credentials. |
||
| privateEndpointConnections |
Private Endpoint Connections for namespace |
||
| provisioningState |
Defines values for OperationProvisioningState. |
||
| publicNetworkAccess | Enabled |
Type of public network access. |
|
| region |
string |
Region. The value is always set to the same value as Namespace.Location, so we are deprecating this property. |
|
| replicationRegion |
Allowed replication region |
||
| scaleUnit |
string |
Gets or sets scaleUnit where the namespace gets created |
|
| serviceBusEndpoint |
string |
Gets or sets endpoint you can use to perform NotificationHub operations. |
|
| status |
Namespace status. |
||
| subscriptionId |
string |
Namespace subscription id. |
|
| updatedAt |
string (date-time) |
Time when the namespace was updated. |
|
| zoneRedundancy | Disabled |
Namespace SKU name. |
NamespaceResource
Notification Hubs Namespace Resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
Represents namespace properties. |
|
| sku |
The Sku description for a namespace |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
NamespaceStatus
Namespace status.
| Value | Description |
|---|---|
| Created | |
| Creating | |
| Suspended | |
| Deleting |
NamespaceType
Defines values for NamespaceType.
| Value | Description |
|---|---|
| Messaging | |
| NotificationHub |
NetworkAcls
A collection of network authorization rules.
| Name | Type | Description |
|---|---|---|
| ipRules |
Ip |
List of IP rules. |
| publicNetworkRule |
A default (public Internet) network authorization rule, which contains rights if no other network rule matches. |
OperationProvisioningState
Defines values for OperationProvisioningState.
| Value | Description |
|---|---|
| Unknown | |
| InProgress | |
| Succeeded | |
| Failed | |
| Canceled | |
| Pending | |
| Disabled |
PnsCredentials
Collection of Notification Hub or Notification Hub Namespace PNS credentials.
| Name | Type | Description |
|---|---|---|
| admCredential |
Description of a NotificationHub AdmCredential. |
|
| apnsCredential |
Description of a NotificationHub ApnsCredential. |
|
| baiduCredential |
Description of a NotificationHub BaiduCredential. |
|
| browserCredential |
Description of a NotificationHub BrowserCredential. |
|
| gcmCredential |
Description of a NotificationHub GcmCredential. |
|
| mpnsCredential |
Description of a NotificationHub MpnsCredential. |
|
| wnsCredential |
Description of a NotificationHub WnsCredential. |
|
| xiaomiCredential |
Description of a NotificationHub XiaomiCredential. |
PrivateEndpointConnectionProperties
Private Endpoint Connection properties.
| Name | Type | Description |
|---|---|---|
| groupIds |
string[] |
List of group ids. For Notification Hubs, it always contains a single "namespace" element. |
| privateEndpoint |
Represents a Private Endpoint that is connected to Notification Hubs namespace using Private Endpoint Connection. |
|
| privateLinkServiceConnectionState |
State of the Private Link Service connection. |
|
| provisioningState |
State of Private Endpoint Connection. |
PrivateEndpointConnectionProvisioningState
State of Private Endpoint Connection.
| Value | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Creating | |
| Updating | |
| UpdatingByProxy | |
| Deleting | |
| DeletingByProxy | |
| Deleted |
PrivateEndpointConnectionResource
Represents a Private Endpoint Connection ARM resource - a sub-resource of Notification Hubs namespace.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties |
Private Endpoint Connection properties. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PrivateLinkConnectionStatus
State of Private Link Connection.
| Value | Description |
|---|---|
| Disconnected | |
| Pending | |
| Approved | |
| Rejected |
PublicInternetAuthorizationRule
A default (public Internet) network authorization rule, which contains rights if no other network rule matches.
| Name | Type | Description |
|---|---|---|
| rights |
List of access rights. |
PublicNetworkAccess
Type of public network access.
| Value | Description |
|---|---|
| Enabled | |
| Disabled |
RemotePrivateEndpointConnection
Represents a Private Endpoint that is connected to Notification Hubs namespace using Private Endpoint Connection.
| Name | Type | Description |
|---|---|---|
| id |
string |
ARM resource ID of the Private Endpoint. This may belong to different subscription and resource group than a Notification Hubs namespace. |
RemotePrivateLinkServiceConnectionState
State of the Private Link Service connection.
| Name | Type | Description |
|---|---|---|
| actionsRequired |
string |
Human-friendly description of required actions. |
| description |
string |
Human-friendly description. |
| status |
State of Private Link Connection. |
ReplicationRegion
Allowed replication region
| Value | Description |
|---|---|
| Default | |
| WestUs2 | |
| NorthEurope | |
| AustraliaEast | |
| BrazilSouth | |
| SouthEastAsia | |
| SouthAfricaNorth | |
| None |
Sku
The Sku description for a namespace
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
Gets or sets the capacity of the resource |
| family |
string |
Gets or sets the Sku Family |
| name |
Namespace SKU name. |
|
| size |
string |
Gets or sets the Sku size |
| tier |
string |
Gets or sets the tier of particular sku |
SkuName
Namespace SKU name.
| Value | Description |
|---|---|
| Free | |
| Basic | |
| Standard |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
WnsCredential
Description of a NotificationHub WnsCredential.
| Name | Type | Description |
|---|---|---|
| properties |
Description of a NotificationHub WnsCredential. |
WnsCredentialProperties
Description of a NotificationHub WnsCredential.
| Name | Type | Description |
|---|---|---|
| certificateKey |
string |
Ges or sets the WNS Certificate Key. |
| packageSid |
string |
Gets or sets the package ID for this credential. |
| secretKey |
string |
Gets or sets the secret key. |
| windowsLiveEndpoint |
string |
Gets or sets the Windows Live endpoint. |
| wnsCertificate |
string |
Gets or sets the WNS Certificate. |
XiaomiCredential
Description of a NotificationHub XiaomiCredential.
| Name | Type | Description |
|---|---|---|
| properties |
Description of a NotificationHub XiaomiCredentialProperties. |
XiaomiCredentialProperties
Description of a NotificationHub XiaomiCredentialProperties.
| Name | Type | Description |
|---|---|---|
| appSecret |
string |
Gets or sets app secret. |
| endpoint |
string |
Gets or sets xiaomi service endpoint. |
ZoneRedundancyPreference
Namespace SKU name.
| Value | Description |
|---|---|
| Disabled | |
| Enabled |